Checkmark Report
================

This file is part of the local_checkmarkreport plugin for Moodle - <http://moodle.org/>

*Author:*    Philipp Hager, Daniel Binder, Clemens Marx

*Copyright:* [Academic Moodle Cooperation](http://www.academic-moodle-cooperation.org)

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

The checkmark report provides teachers and students with an overview of the details of all checkmark activites in a course. In this way, ticks, grades, feedback and other key figures can be displayed in a compact form and exported in various formats.


Usage
-------

A possible teaching scenario could look like this: In a weekly recurring exercise, each unit is accompanied by practical examples. For this purpose, the teachers provide a checkmark activity for each unit in advance and after the unit the checkmark is graded.
Teachers can use the checkmark report to obtain a simple overview of the assessment of students of individual/several/all existing checkmark exercises in the form of an overall table. The display includes the number of ticks, the ratings or the percentage distribution. The report has different views. It can also be downloaded at any time.
In this way, students can also check their personal status using the table, e.g. how many ticks they have made so far (absolute/percentage).


Requirements
------------


The module [mod_checkmark](https://moodle.org/plugins/mod_checkmark) must be installed to run this plugin.


Installation
------------

* Copy the module code directly to the local/checkmarkreport directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.


Privacy API
-------------

The plugin fully implements the Moodle Privacy API.

Documentation
-------------

You can find a documentation for the plugin on the [AMC website](https://academic-moodle-cooperation.org/local_checkmarkreport/).


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/academic-moodle-cooperation/moodle-local_checkmarkreport/issues).
Please provide a detailed bug description, including the plugin and Moodle version and, if
applicable, a screenshot.

You may also file a request for enhancement on GitHub. If we consider the request generally useful
and if it can be implemented with reasonable effort we might implement it in a future version.

You may also post general questions on the plugin on GitHub, but note that we do not have the
resources to provide detailed support.


License
-------

This plugin is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

The plugin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License with Moodle. If not, see
<http://www.gnu.org/licenses/>.


Good luck and have fun!
